services:
  cadoles.websocket.pushmessage:
        public: true
        class: Cadoles\WebsocketBundle\Service\messageService
        arguments: ['@service_container','@doctrine.orm.entity_manager','%websocket_activate%']

  cadoles.websocket.topic:
      class: Cadoles\WebsocketBundle\Topic\WebsocketTopic
      arguments: ['@gos_web_socket.websocket.client_manipulator','@doctrine.orm.entity_manager','@service_container']
      tags:
          - { name: gos_web_socket.topic }      

  cadoles.websocket.counter:
      class: Cadoles\WebsocketBundle\Topic\WebsocketCounter
      arguments: ['@gos_web_socket.websocket.client_manipulator','@doctrine.orm.entity_manager','@service_container']
      tags:
          - { name: gos_web_socket.topic }     

  cadoles.websocket.rpc:
      class: Cadoles\WebsocketBundle\RPC\RPCService
      tags:
          - { name: gos_web_socket.rpc }          